Devuan bug report logs - #197
debmirror fails on packages.devuan.org

Package: amprolla; Reported by: yeti <yeti@digitalfoto-model-award.de>;
Date: Tue, 27 Mar 2018 19:18:01 UTC;
Tags: moreinfo; Done: Daniel Reurich <daniel@centurion.net.nz>;
Maintainer for amprolla is Daniel Reurich <daniel@centurion.net.nz>.

View this report as an mbox folder.


Report forwarded to devuan-bugs@lists.dyne.org, Daniel Reurich <daniel@centurion.net.nz>:
bug#197; Package amprolla. Full text available.



Acknowledgement sent to yeti <yeti@digitalfoto-model-award.de>:
New bug report received and forwarded. Copy sent to Daniel Reurich <daniel@centurion.net.nz>. Full text available.



Message received at submit@bugs.devuan.org:

Subject: debmirror fails on packages.devuan.org
From: yeti <yeti@digitalfoto-model-award.de>
To: submit@bugs.devuan.org
Date: Tue, 27 Mar 2018 19:01:38 +0000

Package: amprolla

--------8<--------8<--------8<--------8<--------8<--------8<--------8<--------
(yeti@kumari:14)/wrk/mirrors$ cat devuan.sh 
#!/bin/sh
exec sudo -u ruth debmirror \
        -a arm64 \
        $(: -d jessie,jessie-backports,jessie-proposed-updates,jessie-security,jessie-updates :) \
        -d ascii,ascii-backports,ascii-proposed-updates,ascii-security,ascii-updates \
        -s main -s contrib -s non-free \
        --nosource \
        --method http -h packages.devuan.org -r merged \
        --progress --no-check-gpg \
        /wrk/mirrors/devuan
(yeti@kumari:14)/wrk/mirrors$ ./devuan.sh 
Mirroring to /wrk/mirrors/devuan from http://packages.devuan.org/merged/
Arches: arm64
Dists: ascii,ascii-backports,ascii-proposed-updates,ascii-security,ascii-updates
Sections: main,contrib,non-free
Pdiff mode: use
Not checking Release gpg signatures.
Will clean up after mirroring.
Attempting to get lock ...
Updating remote trace files (using rsync) ...
rsync: failed to connect to packages.devuan.org (2001:41d0:8:2c55::a2): No route to host (113)
rsync: failed to connect to packages.devuan.org (46.105.191.77): Connection refused (111)
rsync error: error in socket IO (code 10) at clientserver.c(125) [Receiver=3.1.2]
Warning: failed to use rsync to download extra files.
Getting meta files ...
[  0%] Getting: dists/ascii/Release...   #** GET http://packages.devuan.org/merged/dists/ascii/Release ==> 200 OK (4s)
ok
[  0%] Getting: dists/ascii/InRelease...         #** GET http://packages.devuan.org/merged/dists/ascii/InRelease ==> 200 OK
ok
[  0%] Getting: dists/ascii/Release.gpg...       #** GET http://packages.devuan.org/merged/dists/ascii/Release.gpg ==> 200 OK
ok
[  0%] Getting: dists/ascii-backports/Release...         #** GET http://packages.devuan.org/merged/dists/ascii-backports/Release ==> 200 OK
ok
[  0%] Getting: dists/ascii-backports/InRelease...       #** GET http://packages.devuan.org/merged/dists/ascii-backports/InRelease ==> 200 OK
ok
[  0%] Getting: dists/ascii-backports/Release.gpg...     #** GET http://packages.devuan.org/merged/dists/ascii-backports/Release.gpg ==> 200 OK
ok
Duplicate dist ascii.
WARNING: releasing 1 pending lock...
-------->8-------->8-------->8-------->8-------->8-------->8-------->8--------

"debmirror" wants to get some parts of the repository using "rsync",
even if configured to get the main amount of files via http. To be
mirrorable via "debmirror", the repository server would need to serve
"rsync" too or Devuan needs a patched "debmirror" script. But that's
not the main topic now.

The main error is "Duplicate dist ascii.", which points to the still
broken "Release" files.

http://packages.devuan.org/merged/dists/ascii-backports/Release without
most of the checksums:

--------8<--------8<--------8<--------8<--------8<--------8<--------8<--------
Origin: Devuan
Label: ascii-backports
Suite: ascii-backports
Version: 2.0.0
Codename: ascii
Date: Tue, 27 Mar 2018 02:05:34 UTC
Valid-Until: Tue, 03 Apr 2018 02:05:34 UTC
NotAutomatic: yes
ButAutomaticUpgrades: yes
Architectures: alpha amd64 arm64 armel armhf hppa i386 ia64 mips mipsel powerpc ppc64el s390x sparc
Components: main contrib non-freeMD5Sum:
  b05bd96d98a1ee79b9413504b4b36310    18076 non-free/binary-amd64/Packages.xz
  660aea9b98ce5da8f4e1f75d4c41794d      162 non-free/binary-amd64/Release
  53d2be49e1742c9ccb937ea29ef2092c    20456 non-free/binary-amd64/Packages.gz
  ed2571d1ba5e160d02c83ba15225f9bc   112079 non-free/binary-amd64/Packages
  a39e73f232d88ed23a6821d1ede10d39       32 non-free/binary-alpha/Packages.xz
-------->8-------->8-------->8-------->8-------->8-------->8-------->8--------

"Codename:" points to "ascii" and that probably triggers the "Duplicate
dist ascii." error.

Mirroring "jessie" yields similar problems.
 
Debian's release files use the subdistribution's name in that field.
http://ftp.debian.org/debian/dists/stretch-backports/Release shortened:

--------8<--------8<--------8<--------8<--------8<--------8<--------8<--------
Origin: Debian Backports
Label: Debian Backports
Suite: stretch-backports
Codename: stretch-backports
Date: Tue, 27 Mar 2018 14:40:15 UTC
Valid-Until: Tue, 03 Apr 2018 14:40:15 UTC
NotAutomatic: yes
ButAutomaticUpgrades: yes
Acquire-By-Hash: yes
Architectures: amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x
Components: main contrib non-free
Description: Backports for the Stretch distribution
MD5Sum:
 7df415dc7f0909020e3bead872f30bda   293818 contrib/Contents-amd64
 56927b51d570fed004dd30c5da7cd72c     7624 contrib/Contents-amd64.diff/Index
 7efd3a0ce7c3bc5d2a1d72d8ae6257af    21958 contrib/Contents-amd64.gz
-------->8-------->8-------->8-------->8-------->8-------->8-------->8--------

And the next glitch is the missing newline before the "MD5Sum:" tag in
Devuan's Release files which is "handled differently" by Debian too. ;-
)

_o/"






Information forwarded to devuan-bugs@lists.dyne.org, Daniel Reurich <daniel@centurion.net.nz>:
bug#197; Package amprolla. Full text available.



Acknowledgement sent to KatolaZ <katolaz@freaknet.org>:
Extra info received and forwarded to list. Copy sent to Daniel Reurich <daniel@centurion.net.nz>. Full text available.



Message received at 197@bugs.devuan.org:

Date: Sat, 7 Apr 2018 20:06:16 +0100
From: KatolaZ <katolaz@freaknet.org>
To: 197@bugs.devuan.org
Subject: more info needed

[Message part 1 (text/plain, inline)]

Hi,

I can't reproduce this. Please have a look at:

  https://dev1galaxy.org/viewtopic.php?id=1571
  https://dev1galaxy.org/viewtopic.php?pid=7712#p7712


the example is for pkgmaster.devuan.org, but no rsync server is
running there either, so the error should not be due to the lack of
rsync.

My2Cents

KatolaZ

[signature.asc (application/pgp-signature, inline)]






Tags added: moreinfo Request was from KatolaZ <katolaz@freaknet.org> to control@bugs.devuan.org. Full text available.



Reply sent to Daniel Reurich <daniel@centurion.net.nz>:
You have taken responsibility. Full text available.



Notification sent to yeti <yeti@digitalfoto-model-award.de>:
bug acknowledged by developer. Full text available.



Message received at 197-done@bugs.devuan.org:

To: 197-done@bugs.devuan.org
From: Daniel Reurich <daniel@centurion.net.nz>
Date: Mon, 19 Nov 2018 15:51:40 +1300

[Message part 1 (text/plain, inline)]

Closed:

Use <CC>.deb.devuan.org instead.


-- 
Daniel Reurich
Centurion Computer Technology (2005) Ltd.
021 797 722



[signature.asc (application/pgp-signature, attachment)]






Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri, 22 Nov 2019 20:35:36 UTC